function createSilverlight()
{
	var scene = new FormFade.Scene();
	Silverlight.createObjectEx({
		source: "Scene.xaml",
		parentElement: document.getElementById("SilverlightControlHost"),
		id: "SilverlightControl",
		properties: {
			width: "100%",
			height: "100%",
			version: "0.9",
                        isWindowless: "true",
			background: "#00000000"
		},
		events: {
			onLoad: Silverlight.createDelegate(scene, scene.handleLoad)
		}
	});
}

if (!window.Sys)
	window.Sys = {};
	
if (!window.Silverlight) 
	window.Silverlight = {};

Silverlight.createDelegate = function(instance, method) {
	return function() {
        return method.apply(instance, arguments);
    }
}

function HideForm()
{
   document.getElementById('SilverlightControlHost').style.display='';

   var sl8 = document.getElementById("SilverlightControl");
   if (sl8)
   {
      var tt = sl8.content.findName("Timeline1");
      if (tt)
      {
         var MyRect = sl8.content.findName("rectangle");

         MyRect["Canvas.Top"] = 60;
         MyRect["Canvas.Left"] = 0;
         MyRect.Width = 300;
         MyRect.Height = 70;

         tt.begin();
      }
   }
}

function Timeline1_Completed(sender, args)
{
    //
    // Stop the animation.
    //
    var sl8 = document.getElementById("SilverlightControl");
    if (sl8)
    {
       var tt = sl8.content.findName("Timeline1");
       tt.stop();
    }

    //
    // Is this our initial form submit?
    //
    if (document.getElementById('ResultDiv').innerHTML == "")
    {
       //
       // Hide the form and animation. Show a "Thank You" message.
       //
       var m_Name = document.getElementById('m_Name');

       document.getElementById('Myformdiv').style.display = 'none';

       document.getElementById('SilverlightControlHost').style.display='none';

       document.getElementById('ResultDiv').innerHTML = "<B><font face=verdana size=2>Got your info! Thanks " + m_Name.value + "!</font></B><BR>&nbsp;&nbsp;&nbsp;<input type='button' id='m_Again' value='Again' onclick='HideForm();' />";
    }
    else
    {
       //
       // User clicked "Again" and finished fading out. Hide the animation. Show the form and start over.
       //
       document.getElementById('SilverlightControlHost').style.display='none';
       document.getElementById('ResultDiv').innerHTML = "";
       document.getElementById('Myformdiv').style.display = '';
       document.getElementById('m_Name').value = '';
    }
}
